;-| Super Motions |--------------------------------------------------------
[Command]
name = dmsb_x
command = ~D, DF, F, D, DF, F, x
time = 35
[Command]
name = dmsb_y
command = ~D, DF, F, D, DF, F, y
time = 35

;-| Special Motions |------------------------------------------------------
[Command]
name = sb_x
command = ~D, DF, F, x

[Command]
name = sb_y
command = ~D, DF, F, y

[Command]
name = ss_x
command = ~D, DB, B, x

[Command]
name = ss_y
command = ~D, DB, B, y

[Command]
name = ms_x
command = ~B, DB, D, DF, F, x

[Command]
name = ms_y
command = ~B, DB, D, DF, F, y

[Command]
name = sws_x
command = ~F, DF, D, DB, B, x

[Command]
name = sws_y
command = ~F, DF, D, DB, B, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery
command = x+y
time = 1
[Command]
name = recovery
command = y+z
time = 1
[Command]
name = recovery
command = x+z
time = 1

[Command]
name = ab
command = a+b
time = 1

[Command]
name = ac
command = a+c
time = 1

[Command]
name = bc
command = b+c
time = 1

[Command]
name = yz
command = y+z
time = 1

[Command]
name = abc
command = a+b+c
time = 1

[Command]
name = xyz
command = x+y+z
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1
[Command]
name = fwd_b
command = /F,b
time = 1
[Command]
name = fwd_c
command = /F,c
time = 1
[Command]
name = fwd_x
command = /F,x
time = 1
[Command]
name = fwd_y
command = /F,y
time = 1
[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1
[Command]
name = back_b
command = /B,b
time = 1
[Command]
name = back_c
command = /B,c
time = 1
[Command]
name = back_x
command = /B,x
time = 1
[Command]
name = back_y
command = /B,y
time = 1
[Command]
name = back_z
command = /B,z
time = 1

[Command]
name = down_a
command = /D,a
time = 1
[Command]
name = down_b
command = /D,b
time = 1
[Command]
name = down_c
command = /D,c
time = 1
[Command]
name = down_x
command = /D,x
time = 1
[Command]
name = down_y
command = /D,y
time = 1
[Command]
name = down_z
command = /D,z
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1
[Command]
name = fwd_bc
command = /F, b+c
time = 1

[Command]
name = fwd_xy
command = /F, x+y
time = 1
[Command]
name = fwd_yz
command = /F, y+z
time = 1

[Command]
name = back_xy
command = /B, x+y
time = 1
[Command]
name = back_yz
command = /B, y+z
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1
[Command]
name = back_bc
command = /B, b+c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = hold_x
command = /x
time = 1

[Command]
name = hold_y
command = /y
time = 1

[Command]
name = hold_z
command = /z
time = 1

[Command]
name = hold_a
command = /a
time = 1

[Command]
name = hold_b
command = /b
time = 1

[Command]
name = hold_c
command = /c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1


;===========================================================================
; Commands
[Statedef -1]

;---------------------------------------------------------------------------
; DM_Spirit Blast
[State -1]
type = ChangeState
value = 2000
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = dmsb_x
trigger2 = command = dmsb_y

;---------------------------------------------------------------------------
; Steel Wave Slash_x
[State -1]
type = ChangeState
value = 1350
triggerall = command = sws_x
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Steel Wave Slash_Y
[State -1]
type = ChangeState
value = 1300
triggerall = command = sws_y
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Mist Slash_x
[State -1]
type = ChangeState
value = 1105
triggerall = command = ms_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Mist Slash_y
[State -1]
type = ChangeState
value = 1100
triggerall = command = ms_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Spirit Blast_x
[State -1]
type = ChangeState
value = 1000
triggerall = command = sb_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Spirit Blast_y
[State -1]
type = ChangeState
value = 1000
triggerall = command = sb_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Shadow Slicer_x
[State -1]
type = ChangeState
value = 1200
triggerall = command = ss_x
trigger1 = statetype = S
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Shadow Slicer_y
[State -1]
type = ChangeState
value = 1250
triggerall = command = ss_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Run
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Retreat
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Evade
[State -1]
type = ChangeState
value = 220
triggerall = command = c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Evade (attack)
[State -1]
type = ChangeState
value = 225
triggerall = stateno = 220
triggerall = AnimElem = 2, >= 0
trigger1 = command = x
trigger2 = command = y
trigger3 = command = a
trigger4 = command = b

;---------------------------------------------------------------------------
; Knockdown Attack
[State -1]
type = ChangeState
value = 250
triggerall = command = z
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Knockdown Attack (Jump)
[State -1]
type = ChangeState
value = 650
triggerall = command = z
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Knockdown Attack (Jump Moving)
[State -1]
type = ChangeState
value = 650
triggerall = command = z
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Taunt
[State -1]
type = ChangeState
value = 260
triggerall = command = s
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Weak Kick (Close)
[State -1]
type = ChangeState
value = 205
triggerall = command = a
triggerall = command != holddown
triggerall = P2bodydist X <= 23
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 245
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
; Weak Kick
[State -1]
type = ChangeState
value = 200
triggerall = command = a
triggerall = command != holddown
triggerall = P2bodydist X > 23
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 245
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
; Heavy Kick (Hold Fwd)
[State -1]
type = ChangeState
value = 215
triggerall = command = fwd_b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;;---------------------------------------------------------------------------
;; Heavy Kick (Close)
;[State -1]
;type = ChangeState
;value = 215
;triggerall = command = b
;triggerall = command != holddown
;triggerall = P2bodydist X <= 37
;trigger1 = statetype = S
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Kick
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
;triggerall = P2bodydist X > 37
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 235
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 245
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; Weak Punch (Close)
[State -1]
type = ChangeState
value = 235
triggerall = command = x
triggerall = command != holddown
triggerall = P2bodydist X <= 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 245
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; Weak Punch
[State -1]
type = ChangeState
value = 230
triggerall = command = x
triggerall = command != holddown
triggerall = P2bodydist X > 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 235
trigger2 = movecontact = 1
trigger3 = stateno = 240
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
; Heavy Punch (Close)
[State -1]
type = ChangeState
value = 245
triggerall = command = y
triggerall = command != holddown
triggerall = P2bodydist X <= 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 235
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; Heavy Punch
[State -1]
type = ChangeState
value = 240
triggerall = command = y
triggerall = command != holddown
triggerall = P2bodydist X > 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 230
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1
trigger4 = stateno = 245
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
; Weak Kick (Crouch)
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Kick (Crouch)
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Weak Punch (Crouch)
[State -1]
type = ChangeState
value = 430
triggerall = command = x
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Punch (Crouch)
[State -1]
type = ChangeState
value = 440
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Weak Kick (Jump)
[State -1]
type = ChangeState
value = 600
triggerall = command = a
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Weak Kick (Jump Moving)
[State -1]
type = ChangeState
value = 605
triggerall = command = a
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Kick (Jump)
[State -1]
type = ChangeState
value = 610
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger1 = Vel X = 0

;---------------------------------------------------------------------------
; Heavy Kick (Jump Moving)
[State -1]
type = ChangeState
value = 615
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger1 = Vel X != 0

;---------------------------------------------------------------------------
; Weak Punch (Jump)
[State -1]
type = ChangeState
value = 630
triggerall = command = x
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Weak Punch (Jump Moving)
[State -1]
type = ChangeState
value = 630
triggerall = command = x
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Punch (Jump)
[State -1]
type = ChangeState
value = 640
triggerall = command = y
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Heavy Punch (Jump Moving)
[State -1]
type = ChangeState
value = 640
triggerall = command = y
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1
