;-| Super Motions |--------------------------------------------------------

[Command]
name = QCB_y
command = ~D, DB, B, y

[Command]
name = down_y
command = /$D,y
time = 1

[Command]
name = fwd_y
command = /F,y
time = 1

[Command]
name = QCF_y
command = ~D, DF, F, y

[Command]
name = DP_y
command = ~F, DF, D, y

[Command]
name = y
command = y
time = 1
[Command]
name = hold_y
command = /$y
time = 1

;-| Special Motions |------------------------------------------------------
;-----------------
; QCF
[Command]
name = QCF_a
command = ~D, DF, F, a

[Command]
name = QCF_b
command = ~D, DF, F, b

[Command]
name = QCF_c
command = ~D, DF, F, c

;-----------------
; QCB
[Command]
name = QCB_a
command = ~D, DB, B, a

[Command]
name = QCB_b
command = ~D, DB, B, b

[Command]
name = QCB_c
command = ~D, DB, B, c

;-----------------
; Uppercut
[Command]
name = uppercut_a
command = ~F, DF, D, a
time = 30

[Command]
name = uppercut_b
command = ~F, DF, D, b
time = 30

[Command]
name = uppercut_c
command = ~F, DF, D, c
time = 30

;--------------------
;Re
[Command]
name = re_a
command = F, B, a
time = 30

[Command]
name = re_b
command = F, B, b
time = 30

[Command]
name = re_c
command = F, B, c
time = 30

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1
[Command]
name = hold_a
command = /$a
time = 1

[Command]
name = b
command = b
time = 1
[Command]
name = hold_b
command = /$b
time = 1

[Command]
name = c
command = c
time = 1
[Command]
name = hold_c
command = /$c
time = 1

[Command]
name = x
command = x
time = 1
[Command]
name = hold_x
command = /$x
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1


[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
; Finish...
[State -1]
type = ChangeState
value = 2060
triggerall = power >= 1000
triggerall = ctrl = 0
triggerall = p2life <= 100
trigger1 = command = holdup
trigger1 = command = y

;---------------------------------------------------------------------------
; Mad
[State -1]
type = ChangeState
value = 2020
triggerall = power >= 1000
triggerall = ctrl = 0
triggerall = stateno >= 150 ;Cancel guard
triggerall = stateno <= 152
trigger1 = command = y

;---------------------------------------------------------------------------
;Kaisa_Wave (Sky)
[State -1]
type = ChangeState
value = 2000
triggerall = power >= 1000
triggerall = command = QCB_y
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Kaisa_Wave (Earth)
[State -1]
type = ChangeState
value = 2010
triggerall = power >= 1000
triggerall = command = down_y
triggerall = numproj = 0
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1

;---------------------------------------------------------------------------
;Lord
[State -1]
type = ChangeState
value = 2030
triggerall = power >= 1000
triggerall = command = QCF_y
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1

;---------------------------------------------------------------------------
;Wind 
[State -1]
type = ChangeState
value = 20400
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl = 1
triggerall = p2bodydist X <= 10 ;Near P2
trigger1 = command = fwd_y     ;p2 stand
trigger1 = stateno != 100      ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_y     ;p2 crouch
trigger2 = stateno != 100      ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
;REALITY
[State -1]
type = ChangeState
value = 20500
triggerall = power >= 2000
triggerall = command = DP_y
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1
trigger9 = stateno = 205 
trigger9 = movecontact = 1
trigger10 = stateno = 400 
trigger10 = movecontact = 1
trigger11 = stateno = 10 
trigger11 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;King_Punch
[State -1]
type = ChangeState
value = 1010
triggerall = command = QCF_a
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1
trigger9 = stateno = 205 
trigger9 = movecontact = 1
trigger10 = stateno = 400 
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;King_Punch S
[State -1]
type = ChangeState
value = 1015
triggerall = command = QCF_c
triggerall = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Blitz_Up
[State -1]
type = ChangeState
value = 1000
triggerall = command = QCB_a
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1
trigger9 = stateno = 205 
trigger9 = movecontact = 1
trigger10 = stateno = 400 
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Blitz_Down
[State -1]
type = ChangeState
value = 1005
triggerall = command = QCB_b
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1
trigger9 = stateno = 205 
trigger9 = movecontact = 1
trigger10 = stateno = 400 
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Blitz_S
[State -1]
type = ChangeState
value = 1008
triggerall = command = QCB_c
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Tomahawk
[State -1]
type = ChangeState
value = 1030
triggerall = command = uppercut_b
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 227 
trigger5 = movecontact = 1
trigger6 = stateno = 305 
trigger6 = movecontact = 1
trigger7 = stateno = 320 
trigger7 = movecontact = 1
trigger8 = stateno = 401 
trigger8 = movecontact = 1
trigger9 = stateno = 210 
trigger9 = movecontact = 1
trigger10 = stateno = 215 
trigger10 = movecontact = 1
trigger11 = stateno = 315 
trigger11 = movecontact = 1
trigger12 = stateno = 10 
trigger12 = ctrl = 1

;---------------------------------------------------------------------------
;Tomahawk S
[State -1]
type = ChangeState
value = 1035
triggerall = command = uppercut_c
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 10 
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Fall_Star 
[State -1]
type = ChangeState
value = 1040
triggerall = command = uppercut_a
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 10 
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Grab_Down  
[State -1]
type = ChangeState
value = 1100
triggerall = command = re_b
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 305 
trigger5 = movecontact = 1
trigger6 = stateno = 401 
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Grab_Down  
[State -1]
type = ChangeState
value = 1100
triggerall = command = back_b
trigger1 = stateno = 227 
trigger1 = movecontact = 1
trigger2 = stateno = 320 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Grab_Up  
[State -1]
type = ChangeState
value = 1110
triggerall = command = re_a
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 305 
trigger5 = movecontact = 1
trigger6 = stateno = 401 
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Grab_Up  
[State -1]
type = ChangeState
value = 1110
triggerall = command = back_a
trigger1 = stateno = 227 
trigger1 = movecontact = 1
trigger2 = stateno = 320 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Grab_Sky  
[State -1]
type = ChangeState
value = 1120
triggerall = command = re_c
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 206 
trigger2 = movecontact = 1
trigger3 = stateno = 225 
trigger3 = movecontact = 1
trigger4 = stateno = 226 
trigger4 = movecontact = 1
trigger5 = stateno = 305 
trigger5 = movecontact = 1
trigger6 = stateno = 401 
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Grab_Sky  
[State -1]
type = ChangeState
value = 1120
triggerall = command = back_c
trigger1 = stateno = 227 
trigger1 = movecontact = 1
trigger2 = stateno = 320 
trigger2 = movecontact = 1

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;B Throw 
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X <= 5 ;Near P2
trigger1 = command = fwd_b     ;p2 stand
trigger1 = stateno != 100      ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_b     ;p2 crouch
trigger2 = stateno != 100      ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
;A Throw 
[State -1]
type = ChangeState
value = 910
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X <= 5 ;Near P2
trigger1 = command = fwd_a     ;p2 stand
trigger1 = stateno != 100      ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_a     ;p2 crouch
trigger2 = stateno != 100      ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
;Fwd_B 
[State -1]
type = ChangeState
value = 300
triggerall = command = fwd_a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunF_A
[State -1]
type = ChangeState
value = 305
trigger1 = command = a
trigger1 = stateno = 100 ;RunF
trigger1 = Time = [9,18]

;---------------------------------------------------------------------------
;Fwd_B 
[State -1]
type = ChangeState
value = 310
triggerall = command = fwd_b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunF_B
[State -1]
type = ChangeState
value = 315
trigger1 = command = b
trigger1 = stateno = 100 ;RunF
trigger1 = Time = [9,18]

;---------------------------------------------------------------------------
;Fwd_C 
[State -1]
type = ChangeState
value = 320
triggerall = command = fwd_c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunF_C
[State -1]
type = ChangeState
value = 325
trigger1 = command = c
trigger1 = stateno = 100 ;RunF
trigger1 = Time = [9,18]

;---------------------------------------------------------------------------
;STAND_C3 
[State -1]
type = ChangeState
value = 227
triggerall = command = fwd_c
triggerall = command != holddown
trigger1 = stateno = 225 
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;JumpFwd_B
[State -1]
type = ChangeState
value = 615
triggerall = command = fwd_b
trigger1 = AnimElem = 3, [0,6]
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;JumpFwd_C
[State -1]
type = ChangeState
value = 625
triggerall = command = fwd_c
trigger1 = AnimElem = 3, [0,6]
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 620 
trigger2 = movecontact = 1

;===========================================================================
;---------------------------------------------------------------------------
;TEST
;[State -1]
;type = ChangeState
;value = 20500
;triggerall = command = x          
;triggerall = command != holddown  
;trigger1 = statetype = S
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = a          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
trigger1 = P2bodydist X > 40
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 201
trigger1 = command = a          ;Place name of command here
trigger1 = command != holddown  ;Standing moves should have this line
trigger1 = stateno = 200 
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_A (close)
[State -1]
type = ChangeState
value = 205
triggerall = command = a          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
trigger1 = P2bodydist X <= 40
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = P2bodydist X <= 40
trigger2 = stateno = 52 

;---------------------------------------------------------------------------
;Stand_A2 (close)
[State -1]
type = ChangeState
value = 206
triggerall = command = a          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
trigger1 = stateno = 205 
trigger1 = movecontact = 1
trigger2 = stateno = 305 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
trigger1 = P2bodydist X > 25
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 215 
trigger2 = movecontact = 1
trigger3 = stateno = 315 
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_B2
[State -1]
type = ChangeState
value = 211
trigger1 = command = b
trigger1 = command != holddown
trigger1 = stateno = 210 
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_B (close)
[State -1]
type = ChangeState
value = 215
triggerall = command = b
triggerall = command != holddown
trigger1 = P2bodydist X <= 25
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = P2bodydist X <= 20
trigger2 = stateno = 52 

;---------------------------------------------------------------------------
;Stand_C
[State -1]
type = ChangeState
value = 220
triggerall = command = c
triggerall = command != holddown
trigger1 = P2bodydist X > 50
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_C (close)
[State -1]
type = ChangeState
value = 225
triggerall = command = c
triggerall = command != holddown
trigger1 = P2bodydist X <= 50
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = P2bodydist X <= 50
trigger2 = stateno = 52 

;---------------------------------------------------------------------------
;Stand_C2 (close)
[State -1]
type = ChangeState
value = 226
trigger1 = command = c
trigger1 = command != holddown
trigger1 = stateno = 225 
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = P2bodydist X <= 50
trigger2 = stateno = 52 

;---------------------------------------------------------------------------
;Crouch_A2
[State -1]
type = ChangeState
value = 401
triggerall = command = a
triggerall = command = holddown
trigger1 = stateno = 400 
trigger1 = movecontact = 1
trigger2 = stateno = 305 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = P2bodydist X <= 50
trigger2 = stateno = 52 

;---------------------------------------------------------------------------
;Crouch_C
[State -1]
type = ChangeState
value = 420
triggerall = command = c
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 410 
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_C
[State -1]
type = ChangeState
value = 620
triggerall = command = c
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 
trigger2 = movecontact = 1
trigger3 = stateno = 610 
trigger3 = movecontact = 1
