;-| SS |--------------------------------------------------------

[Command]
name = super_1
command = ~B, D, F, x+y
time = 30

[Command]
name = super_2
command = ~B, D, F, a+b
time = 30

[Command]
name = super_3
command = ~D, F, D, B, y+b
time = 30

[Command]
name = super_s
command = ~30DB, D, F, y+b

;-|  S |------------------------------------------------------

[Command]
name = special2_x
command = ~D, DB, B, x

[Command]
name = special2_y
command = ~D, DB, B, y

[Command]
name = special3_x
command = ~D, DF, F, x

[Command]
name = special3_y
command = ~D, DF, F, y

[Command]
name = special4_a
command = ~D, DF, F, a

[Command]
name = special4_b
command = ~D, DF, F, b

[Command]
name = special5_a
command = ~D, DB, B, a

[Command]
name = special5_b
command = ~D, DB, B, b

[Command]
name = reversal_y
command = ~F, B, F, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

[Command]
name = ABC
command = a+b+c
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = x+y
time = 1

[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = xy
command = x+y
time = 1

[Command]
name = ab
command = a+b
time = 1

[Command]
name = yb
command = y+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = fwd_x
command = /F,x
time = 1

[Command]
name = fwd_y
command = /F,y
time = 1

[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = back_x
command = /B,x
time = 1

[Command]
name = back_y
command = /B,y
time = 1

[Command]
name = back_z
command = /B,z
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = down_x
command = /$D,x
time = 1

[Command]
name = down_y
command = /$D,y
time = 1

[Command]
name = down_z
command = /$D,z
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1

[Command]
name = holdab
command = /a+b
time = 1

[Command]
name = holdxy
command = /x+y
time = 1

[Command]
name = hold_a
command = /a
time = 1

[Command]
name = hold_b
command = /b
time = 1

[Command]
name = hold_c
command = /c
time = 1

[Command]
name = hold_x
command = /x
time = 1

[Command]
name = hold_y
command = /y
time = 1

[Command]
name = hold_z
command = /z
time = 1


;---------------------------------------------------------------------------
[Statedef -1]
;---------------------------------------------------------------------------

;e]
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;]
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------

;L1 (close dir+b)
; Complicated? Skip the throws and look at stand_a, etc, first.
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 10 ;Near P2
trigger1 = command = fwd_y   ;p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_y   ;p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = back_y  ;p2 stand
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = back_y  ;p2 crouch
trigger4 = p2statetype = C
trigger4 = p2movetype != H

;===========================================================================

;Super_1
[State -1]
type = ChangeState
value = 2000
triggerall = command = super_1
triggerall = power >= 1000
triggerall = numproj = 0          ;L,iLo\
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA

;Super_1_air
[State -1]
type = ChangeState
value = 2700
triggerall = command = super_1
triggerall = power >= 1000
triggerall = numproj = 0          ;L,iLo\
trigger1 = statetype = A
trigger1 = ctrl = 1
;trigger2 = hitdefattr = SC, NA, SA

;Super_2
[State -1]
type = ChangeState
value = 2100
triggerall = command = super_2
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA

;Super_3
[State -1]
type = ChangeState
value = 2200
triggerall = command = super_3
triggerall = power >= 3000
;triggerall = life <= 500
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA

;Super_s
[State -1]
type = ChangeState
value = 2800
triggerall = command = super_s
triggerall = power >= 3000
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA

;
[State -1]
type = ChangeState
value = 6000
triggerall = power < 3000
trigger1 = command = ab
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = xy
trigger2 = statetype = S
trigger2 = ctrl = 1

;---------------------------------------------------------------------------

;===========================================================================

;U
[State -1]
type = ChangeState
value = 1000
trigger1 = command = down_a ;-------
trigger1 = statetype = A
trigger1 = statetype != S
trigger1 = ctrl = 1
trigger2 = command = down_b ;-------
trigger2 = statetype = A
trigger2 = statetype != S
trigger2 = ctrl = 1

;Ѭz̮߮ x
[State -1]
type = ChangeState
value = 1010
triggerall = command = special2_x
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;Ѭz̮߮ y
[State -1]
type = ChangeState
value = 1020
triggerall = command = special2_y
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;\ x
[State -1]
type = ChangeState
value = 1030
triggerall = command = special3_x
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;\ y
[State -1]
type = ChangeState
value = 1040
triggerall = command = special3_y
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;@ѯ} a
[State -1]
type = ChangeState
value = 1050
triggerall = command = special4_a
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;@ѯ} b
[State -1]
type = ChangeState
value = 1060
triggerall = command = special4_b
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;Di a
[State -1]
type = ChangeState
value = 1080
triggerall = command = special5_a
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;Di b
[State -1]
type = ChangeState
value = 1090
triggerall = command = special5_b
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1


;_\ x
[State -1]
type = ChangeState
value = 1200
;triggerall = numproj = 0
triggerall = command = special3_x
trigger1 = statetype = A
trigger1 = ctrl = 1

;_\ y
[State -1]
type = ChangeState
value = 1300
;triggerall = numproj = 0
triggerall = command = special3_y
trigger1 = statetype = A
trigger1 = ctrl = 1



;Reversal1
[State -1]
type = ChangeState
value = 1100
triggerall = command = reversal_y
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;===========================================================================

;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = a          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------

;Stand_X
[State -1]
type = ChangeState
value = 300
triggerall = command = x          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Y
[State -1]
type = ChangeState
value = 310
triggerall = command = y
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_X
[State -1]
type = ChangeState
value = 500
triggerall = command = x
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_Y
[State -1]
type = ChangeState
value = 510
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_X
[State -1]
type = ChangeState
value = 700
trigger1 = command = x
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_Y
[State -1]
type = ChangeState
value = 710
trigger1 = command = y
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------

