;-| Super Motions |--------------------------------------------------------
[Command]
name = qcf_ab
command = ~D, DF, F, a+b

[Command]
name = qcf_bc
command = ~D, DF, F, b+c

[Command]
name = hcb_c
command = ~F, DF, D, DB, B, c

[Command]
name = qcf_xy
command = ~D, DF, F, x+y

[Command]
name = qcf_yz
command = ~D, DF, F, y+z

;-| Special Motions |------------------------------------------------------
[Command]
name = qcb_a
command = ~D, DB, B, a
time = 10

[Command]
name = qcb_b
command = ~D, DB, B, b
time = 10

[Command]
name = qcb_x
command = ~D, DB, B, x
time = 10

[Command]
name = qcb_y
command = ~D, DB, B, y
time = 10

[Command]
name = qcf_a
command = ~D, DF, F, a

[Command]
name = qcf_b
command = ~D, DF, F, b

[Command]
name = qcf_x
command = ~D, DF, F, x

[Command]
name = qcf_y
command = ~D, DF, F, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_x
command = /F,x

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = fwd_y
command = /F,y
time = 1

[Command]
name = downfwd_a
command = /DF,a
time = 1

[Command]
name = downfwd_b
command = /DF,b
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = back_y
command = /B,y
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1

[Command]
name = hold_a
command = /$a
time = 50

[Command]
name = hold_x
command = /$x
time = 50

[Command]
name = hold_c
command = /$c
time = 50
;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;---------------------------------------------------------------------------
;electrodrill lv1
[State -1]
type = ChangeState
value = 3030
triggerall = command = qcf_xy
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;electrodrill lv2
[State -1]
type = ChangeState
value = 3035
triggerall = command = qcf_yz
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1


;---------------------------------------------------------------------------
;super electroball lv1
[State -1]
type = ChangeState
value = 3000
triggerall = command = qcf_ab
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;super electroball lv2
[State -1]
type = ChangeState
value = 3010
triggerall = command = qcf_bc
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

;-----------------------------------------------------------------------------
;electrigizer lv1
[State -1]
type = ChangeState
value = 3020
triggerall = command = hcb_c
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1

;-----------------------------------------------------------------------------
;lightning jack_a
[State -1]
type = ChangeState
value = 1000
triggerall = command = qcb_a
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

;-----------------------------------------------------------------------------
;lightning jack_b
[State -1]
type = ChangeState
value = 1006
triggerall = command = qcb_b
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 212
trigger2 = movecontact = 1
trigger3 = stateno = 220
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

;---------------------------------------------------------------------
;lightning kick_x
[State -1]
type = ChangeState
value = 1010
triggerall = command = qcb_x
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------
;lightning kick_y
[State -1]
type = ChangeState
value = 1015
triggerall = command = qcb_y
trigger1 = statetype != A
trigger1 = ctrl = 1


;-------------------------------------------------------------------
;electroball_a
[State -1]
type = ChangeState
value = 1020
triggerall = command = qcf_a
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 260
trigger2 = movecontact = 1

;electroball_b
[State -1]
type = ChangeState
value = 1021
triggerall = command = qcf_b
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 260
trigger2 = movecontact = 1

;electroball_x
[State -1]
type = ChangeState
value = 1022
triggerall = command = qcf_x
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 260
trigger2 = movecontact = 1

;electroball_y
[State -1]
type = ChangeState
value = 1023
triggerall = command = qcf_y
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 260
trigger2 = movecontact = 1

;----------------------------------------------------------------------
;air electric slash x
[State -1]
type = ChangeState
value = 1030
triggerall = statetype = A
triggerall = command = qcf_x
trigger1 = ctrl = 1

;----------------------------------------------------------------------
;air electric slash y
[State -1]
type = ChangeState
value = 1035
triggerall = statetype = A
triggerall = command = qcf_y
trigger1 = ctrl = 1

;----------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw B
[State -1]
type = ChangeState
value = 222
triggerall = stateno != 100
triggerall = P2BodyDist X < 10
trigger1 = command = fwd_b
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = back_b
trigger2 = statetype = S
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw Y
[State -1]
type = ChangeState
value = 232
triggerall = stateno != 100
triggerall = P2BodyDist X < 10
trigger1 = command = fwd_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = back_y
trigger2 = statetype = S
trigger2 = ctrl = 1

;--------------------------------------------------------------------------
;roll forward
[State -1]
type = ChangeState
value = 250
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger1 = command = c
trigger1 = command != back_c

;--------------------------------------------------------------------------
;roll backward
[State -1]
type = ChangeState
value = 251
triggerall = command = back_c
trigger1 = statetype != A
trigger1 = ctrl = 1

;--------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 201
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1
trigger3 = stateno = 410
trigger3 = movecontact = 1


;Stand_Close_B
[State -1]
type = ChangeState
value = 220
triggerall = command = b
triggerall = command !=holddown
triggerall = P2BodyDist X <= 20
trigger1 = statetype = S
trigger1 = ctrl = 1


;Stand_Far_B
[State -1]
type = ChangeState
value = 221
trigger1 = command = b
trigger1 = command !=holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;Stand_X
[State -1]
type = ChangeState
value = 210
triggerall = command = x
triggerall = command != holddown
triggerall = command != fwd_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1
trigger3 = stateno = 410
trigger3 = movecontact = 1

;Forward_X
[State -1]
type = ChangeState
value = 212
triggerall = command = fwd_x
triggerall = command != holddown
trigger1 = statetype != A 
trigger1 = ctrl = 1
trigger2 = stateno = 220
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 420
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger6 = stateno = 410
trigger6 = movecontact = 1

;Stand_Y
[State -1]
type = ChangeState
value = 230
triggerall = command = y
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;Stand_cd
[State -1]
type = ChangeState
value = 260
triggerall = command = z
trigger1 = statetype ! = A
trigger1 = ctrl = 1

;------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger1 = command = holddown
trigger1 = command = a

;Crouch_X
[State -1]
type = ChangeState
value = 410
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger1 = command = holddown
trigger1 = command = x

;Crouch_B
[State -1]
type = ChangeState
value = 420
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger1 = command = holddown
trigger1 = command = b

;Crouch_Y
[State -1]
type = ChangeState
value = 430
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger1 = command = holddown
trigger1 = command = y
;--------------------------------------------------------------------
;Jumping a
[State -1]
type = ChangeState
value = 600
trigger1 = statetype = A
trigger1 = command = a
trigger1 = ctrl = 1

;Jumping x
[State -1]
type = ChangeState
value = 610
trigger1 = statetype = A
trigger1 = command = x
trigger1 = ctrl = 1

;Jumping Y
[State -1]
type = ChangeState
value = 631
trigger1 = statetype = A
trigger1 = command = y
trigger1 = ctrl = 1
trigger1 = Vel X != 0

;Jumping up Y
[State -1]
type = ChangeState
value = 630
trigger1 = statetype = A
trigger1 = command = y
trigger1 = ctrl = 1

;Jumping B
[State -1]
type = ChangeState
value = 620
trigger1 = statetype = A
trigger1 = command = b
trigger1 = ctrl = 1

;Jumping cd
[State -1]
type = ChangeState
value = 660
trigger1 = statetype = A
trigger1 = command = z
trigger1 = ctrl = 1
