;-| Super Motions |--------------------------------------------------------

;-| Special Motions |------------------------------------------------------
[Command]
name = psycoball_x
command = ~D, DB, B, x

[Command]
name = psycoball_y
command = ~D, DB, B, y

[Command]
name = shield_x
command = ~D, DB, B, a

[Command]
name = shield_y
command = ~D, DB, B, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = x+y
time = 1
[Command]
name = recovery ;Extra recovery commands (optional)
command = y+z
time = 1
[Command]
name = recovery ;Extra recovery commands (optional)
command = x+z
time = 1

[Command]
name = ab
command = a+b
time = 1

[Command]
name = yz
command = y+z
time = 1

[Command]
name = abc
command = a+b+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1
[Command]
name = fwd_b
command = /F,b
time = 1
[Command]
name = fwd_c
command = /F,c
time = 1
[Command]
name = fwd_x
command = /F,x
time = 1
[Command]
name = fwd_y
command = /F,y
time = 1
[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1
[Command]
name = back_b
command = /B,b
time = 1
[Command]
name = back_c
command = /B,c
time = 1
[Command]
name = back_x
command = /B,x
time = 1
[Command]
name = back_y
command = /B,y
time = 1
[Command]
name = back_z
command = /B,z
time = 1

[Command]
name = down_a
command = /D,a
time = 1
[Command]
name = down_b
command = /D,b
time = 1
[Command]
name = down_c
command = /D,c
time = 1
[Command]
name = down_x
command = /D,x
time = 1
[Command]
name = down_y
command = /D,y
time = 1
[Command]
name = down_z
command = /D,z
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1
[Command]
name = fwd_bc
command = /F, b+c
time = 1

[Command]
name = fwd_xy
command = /F, x+y
time = 1
[Command]
name = fwd_yz
command = /F, y+z
time = 1

[Command]
name = back_xy
command = /B, x+y
time = 1
[Command]
name = back_yz
command = /B, y+z
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1
[Command]
name = back_bc
command = /B, b+c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = hold_x
command = /x
time = 1

[Command]
name = hold_y
command = /y
time = 1

[Command]
name = hold_z
command = /z
time = 1

[Command]
name = hold_a
command = /a
time = 1

[Command]
name = hold_b
command = /b
time = 1

[Command]
name = hold_c
command = /c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1


;===========================================================================
;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;---------------------------------------------------------------------------
;Psycoball_X
[State -1]
type = ChangeState
value = 1000
triggerall = command = psycoball_x
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = movecontact = 1
trigger4 = stateno = 240        ;stand_y
trigger4 = movecontact = 1
trigger5 = stateno = 250        ;stand_z
trigger5 = movecontact = 1
trigger6 = stateno = 400        ;crouch_a
trigger6 = movecontact = 1
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = movecontact = 1
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = movecontact = 1
trigger9 = stateno = 355        ;stand_back_z
trigger9 = movecontact = 1
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Psycoball_Y
[State -1]
type = ChangeState
value = 1005
triggerall = numproj = 0
triggerall = command = psycoball_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = movecontact = 1
trigger4 = stateno = 240        ;stand_y
trigger4 = movecontact = 1
trigger5 = stateno = 250        ;stand_z
trigger5 = movecontact = 1
trigger6 = stateno = 400        ;crouch_a
trigger6 = movecontact = 1
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = movecontact = 1
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = movecontact = 1
trigger9 = stateno = 355        ;stand_back_z
trigger9 = movecontact = 1
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Shield_X
[State -1]
type = ChangeState
value = 1100
triggerall = numproj = 0
triggerall = command = shield_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = movecontact = 1
trigger4 = stateno = 240        ;stand_y
trigger4 = movecontact = 1
trigger5 = stateno = 250        ;stand_z
trigger5 = movecontact = 1
trigger6 = stateno = 400        ;crouch_a
trigger6 = movecontact = 1
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = movecontact = 1
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = movecontact = 1
trigger9 = stateno = 355        ;stand_back_z
trigger9 = movecontact = 1
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Shield_Y
[State -1]
type = ChangeState
value = 1200
triggerall = command = shield_y
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = movecontact = 1
trigger4 = stateno = 240        ;stand_y
trigger4 = movecontact = 1
trigger5 = stateno = 250        ;stand_z
trigger5 = movecontact = 1
trigger6 = stateno = 400        ;crouch_a
trigger6 = movecontact = 1
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = movecontact = 1
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = movecontact = 1
trigger9 = stateno = 355        ;stand_back_z
trigger9 = movecontact = 1
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunB
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger3 = stateno = 230
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 230
trigger3 = movecontact = 1
trigger4 = stateno = 240
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_fwd_C
[State -1]
type = ChangeState
value = 222
triggerall = command = fwd_c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_back_C
[State -1]
type = ChangeState
value = 223
triggerall = command = back_c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_C
[State -1]
type = ChangeState
value = 220
triggerall = command = c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_C (attack)
[State -1]
type = ChangeState
value = 221
triggerall = stateno = 220
triggerall = AnimElem = 3, >= 0
trigger1 = command = x
trigger2 = command = y
trigger3 = command = a
trigger4 = command = b

;---------------------------------------------------------------------------
;Stand_X
[State -1]
type = ChangeState
value = 230
triggerall = command = x
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_Y
[State -1]
type = ChangeState
value = 240
triggerall = command = y
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 230
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_Z
[State -1]
type = ChangeState
value = 250
triggerall = command = z
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 240 ;Stand_Y
trigger2 = animelem = 3, >= 0
trigger2 = movecontact = 1
;-------------------
;Stand_Z (chain)
[State -1]
type = ChangeState
value = 250
triggerall = command = z
triggerall = command != holddown
trigger1 = stateno = 240 ;Stand_y
trigger1 = movecontact = 1
;trigger1 = animelem = 3, >= 0

;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;trigger2 = stateno = 400
;trigger2 = time > 7
;trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_X
[State -1]
type = ChangeState
value = 430
triggerall = command = x
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 230 ;Stand_X
trigger2 = time >= 7
trigger3 = stateno = 430 ;Crouch_X
trigger3 = time >= 7

;---------------------------------------------------------------------------
;Crouch_Y
[State -1]
type = ChangeState
value = 440
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 430 ;Crouch_X
trigger2 = time >= 7

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
triggerall = command = a
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_A (moving)
[State -1]
type = ChangeState
value = 605
triggerall = command = a
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
triggerall = command = b
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_B (moving)
[State -1]
type = ChangeState
value = 615
triggerall = command = b
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_X
[State -1]
type = ChangeState
value = 630
triggerall = command = x
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_X (moving)
[State -1]
type = ChangeState
value = 635
triggerall = command = x
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_Y
[State -1]
type = ChangeState
value = 640
triggerall = command = y
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_Y (moving)
[State -1]
type = ChangeState
value = 645
triggerall = command = y
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_Z
[State -1]
type = ChangeState
value = 650
triggerall = command = z
triggerall = Vel X = 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_Z (moving)
[State -1]
type = ChangeState
value = 650
triggerall = command = z
triggerall = Vel X != 0
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt
[State -1]
type = ChangeState
value = 260
triggerall = command = s
trigger1 = statetype = S
trigger1 = ctrl = 1