;-| Super Motions |--------------------------------------------------------


;-| Special Motions |------------------------------------------------------
[Command]
name = QCF_a
command = ~D, $F, a

[Command]
name = QCB_a
command = ~D, $B, a

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = x+y
time = 1
[Command]
name = recovery ;Extra recovery commands (optional)
command = y+z
time = 1
[Command]
name = recovery ;Extra recovery commands (optional)
command = x+z
time = 1

[Command]
name = ab
command = a+b
time = 1

[Command]
name = yz
command = y+z
time = 1

[Command]
name = abc
command = a+b+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1
[Command]
name = fwd_b
command = /F,b
time = 1
[Command]
name = fwd_c
command = /F,c
time = 1
[Command]
name = fwd_x
command = /F,x
time = 1
[Command]
name = fwd_y
command = /F,y
time = 1
[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1
[Command]
name = back_b
command = /B,b
time = 1
[Command]
name = back_c
command = /B,c
time = 1
[Command]
name = back_x
command = /B,x
time = 1
[Command]
name = back_y
command = /B,y
time = 1
[Command]
name = back_z
command = /B,z
time = 1

[Command]
name = down_a
command = /D,a
time = 1
[Command]
name = down_b
command = /D,b
time = 1
[Command]
name = down_c
command = /D,c
time = 1
[Command]
name = down_x
command = /D,x
time = 1
[Command]
name = down_y
command = /D,y
time = 1
[Command]
name = down_z
command = /D,z
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1
[Command]
name = fwd_bc
command = /F, b+c
time = 1

[Command]
name = fwd_xy
command = /F, x+y
time = 1
[Command]
name = fwd_yz
command = /F, y+z
time = 1

[Command]
name = back_xy
command = /B, x+y
time = 1
[Command]
name = back_yz
command = /B, y+z
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1
[Command]
name = back_bc
command = /B, b+c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = hold_x
command = /x
time = 1

[Command]
name = hold_y
command = /y
time = 1

[Command]
name = hold_z
command = /z
time = 1

[Command]
name = hold_a
command = /a
time = 1

[Command]
name = hold_b
command = /b
time = 1

[Command]
name = hold_c
command = /c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1


;---------------------------------------------------------------------------
; Commands
[Statedef -1]


;---------------------------------------------------------------------------
;AirSonicboom_X
[State -1]
type = ChangeState
value = 1005
triggerall = numproj = 0
triggerall = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno >= 600       ;jump_a
trigger2 = stateno <= 605
trigger3 = stateno >= 610       ;jump_b
trigger3 = stateno <= 615
trigger3 = movecontact = 1
trigger4 = stateno >= 630       ;jump_x
trigger4 = stateno <= 635
trigger5 = stateno >= 640       ;jump_y
trigger5 = stateno <= 645
trigger5 = movecontact = 1
trigger6 = stateno >= 650       ;jump_z
trigger6 = stateno <= 655
trigger6 = movecontact = 1
trigger7 = stateno = 227        ;knee
trigger7 = movecontact = 1


;---------------------------------------------------------------------------

;flame shoot
[State -1]
type = ChangeState
value = 1020
triggerall = command = QCB_a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;Bubble Burst!!
[State -1]
type = ChangeState
value = 1010
triggerall = command = QCF_a
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = movecontact = 1
trigger4 = stateno = 240        ;stand_y
trigger4 = movecontact = 1
trigger5 = stateno = 250        ;stand_z
trigger5 = movecontact = 1
trigger6 = stateno = 400        ;crouch_a
trigger6 = movecontact = 1
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = movecontact = 1
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = movecontact = 1
trigger9 = stateno = 355        ;stand_back_z
trigger9 = movecontact = 1
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = movecontact = 1

;bubble blow
[State -1]
type = ChangeState
value = 1000
triggerall = command = a          ;Place name of command here
triggerall = command != holddown  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1

