; Goro Daimon's Command File
;===========================
;-| CPU Functions |--------------------------------------------------------
[Command]
name = quake
command = /D, b
time = 20

[Command]
name = bodyroll
command = /DF, b
time = 20

[Command]
name = grab1
command = /B, b
time = 20

[Command]
name = grab3
command = /F, b
time = 20

[Command]
name = grab4
command = b
time = 20

[Command]
name = dm1
command = /D, c
time = 20

[Command]
name = dm2
command = /D, c
time = 20

[Command]
name = dm3
command = c
time = 20

[Command]
name = dm4
command = c
time = 20

[Command]
name = kofcounter
command = b
time = 20

[Command]
name = kofcounter
command = c
time = 20

;-| Super Motions |--------------------------------------------------------
[Command]
name = dm1
command = ~D,DF,F,D,DF,F, x
time = 25

[Command]
name = dm1
command = ~D,DF,F,D,DF,F, z
time = 25

[Command]
name = dm2
command = ~D,DF,F,D,DF,F, z+x
time = 25

[command]
name = dm3
command = ~F,DF,D,DB,B,DF,D,DB,B,x
time = 100

[command]
name = dm3
command = ~F,DF,D,DB,B,DF,D,DB,B,z
time = 100

[command]
name = dm4
command = ~F,DF,D,DB,B,DF,D,DB,B,z+x
time = 100

;-| Special Motions |------------------------------------------------------
[Command]
name = quake
command = ~F,D,DF,x
time = 15

[Command]
name = quake_2
command = ~F,D,DF,z
time = 15

[Command]
name = bodyroll
command = ~D,DB,B,y
time = 15

[Command]
name = bodyroll_2
command = ~D,DB,B,a
time = 15

[Command]
name = grab1
command = ~B,DB,D,DF,F,x
time = 25

[Command]
name = grab2
command = ~B,DB,D,DF,F,z
time = 25

[Command]
name = grab3
command = ~F,D,DF,y
time = 15

[Command]
name = grab3
command = ~F,D,DF,a
time = 15

[Command]
name = grab4
command = ~F,DF,D,DB,B,F,x
time = 25

[Command]
name = grab4
command = ~F,DF,D,DB,B,F,z
time = 25

;-| Single Button |-----------------------------------------------------------
[command]
name = taunt
command = s
time = 1

[command]
name = Light_punch
command = x
time = 1

[command]
name = Light_kick
command = y
time = 1

[command]
name = Strong_punch
command = z
time = 1

[command]
name = Strong_kick
command = a
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF      
command = F, F
time = 10

[Command]
name = BB       
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery 
command = x+y
time = 1

[Command]
name = Roll_Fwd
command = /F,x+y
time = 1

[Command]
name = Roll_Back
command = /B, x+y
time = 1

[Command]
name = dodge
command = x+y
time = 1

[Command]
name = Knockdown
command = z+a
time = 1

;-| Dir + Button |----------------------------------------------------------
[Command]
name = forward_punch
command = /F, x
time = 1

[Command]
name = downforward_punch
command = /DF, z
time = 1

[Command]
name = kofcounter
command = /D, x
time = 1

[Command]
name = kofcounter
command = /D, z
time = 1

;-| Hold Button |-----------------------------------------------------------

[Command]
name = hold_x
command = /x
time = 1

[Command]
name = hold_y
command = /y
time = 1

[Command]
name = hold_z
command = /z
time = 1

[Command]
name = hold_a
command = /a
time = 1

[Command]
name = slam_1
command = /F,z
time = 1

[Command]
name = slam_2
command = /F,a
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  
command = /$F
time = 1

[Command]
name = holdback 
command = /$B
time = 1

[Command]
name = holdup   
command = /$U
time = 1

[Command]
name = holddown 
command = /$D
time = 1

;---------------------------------------------------------------------------
; State Entry
;============
[Statedef -1]

; Mega earthquake
[State -1]
type = ChangeState
value = 3020
triggerall = power >= 2000
triggerall = command = dm2
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Earthquake
[State -1]
type = ChangeState
value = 3000
triggerall = power >= 1000
triggerall = command = dm1
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Hyper earth throw
[State -1]
type = ChangeState
value = 3200
triggerall = power >= 2000
triggerall = command = dm4
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Super earth throw
[State -1]
type = ChangeState
value = 3100
triggerall = power >= 1000
triggerall = command = dm3
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Hammer quake-fake
[State -1]
type = ChangeState
value = 1005
trigger1 = command = quake_2
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Hammer quake
[State -1]
type = ChangeState
value = 1000
trigger1 = command = quake
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Leg tackle grab
[State -1]
type = ChangeState
value = 1200
triggerall = command = grab3
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Lower grab
[State -1]
type = ChangeState
value = 1150
triggerall = command = grab2
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Upper grab
[State -1]
type = ChangeState
value = 1100
triggerall = command = grab1
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Body roll
[State -1]
type = ChangeState
value = 1050
triggerall = command = bodyroll
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Body roll-heavy
[State -1]
type = ChangeState
value = 1055
triggerall = command = bodyroll_2
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Double throw
[State -1]
type = ChangeState
value = 1300
triggerall = command = grab4
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Taunt
[State -1]
type = ChangeState
value = 195
trigger1 = command = taunt
trigger1 = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Charge
[State -1]
type = ChangeState
value = 731
triggerall = statetype = S
triggerall = Power < 3000
triggerall = ctrl = 1
trigger1 = command = hold_x
trigger1 = command = hold_y
trigger1 = command = hold_z

;---------------------------------------------------------------------------
; Roll back
[State -1]
type = ChangeState
value = 512
triggerall = command = Roll_Back
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Guard cancel roll (backwards)
[State -1]
type = ChangeState
value = 801
triggerall = command = Roll_Back
triggerall = power >= 500
trigger1 = stateno >= 150
trigger1 = stateno <= 152

;---------------------------------------------------------------------------
; Roll fwd
[State -1]
type = ChangeState
value = 510
triggerall = command = Roll_Fwd
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Guard cancel roll (forward)
[State -1]
type = ChangeState
value = 800
triggerall = command = Roll_Fwd
triggerall = power >= 500
trigger1 = stateno >= 150
trigger1 = stateno <= 152

;---------------------------------------------------------------------------
; Dodge
[State -1]
type = ChangeState
value = 515
triggerall = command = dodge
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; KOF Counter
[State -1]
type = ChangeState
value = 520
triggerall = command = kofcounter
triggerall = power >= 1000
trigger1 = stateno >= 150
trigger1 = stateno <= 152

;---------------------------------------------------------------------------
; Run foward
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Step back
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Knockdown
[State -1]
type = ChangeState
value = 250
triggerall = command = Knockdown
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Guard reversal
[State -1]
type = ChangeState
value = 251
triggerall = command = Knockdown
triggerall = power >= 1000
trigger1 = stateno >= 150
trigger1 = stateno <= 152

;---------------------------------------------------------------------------
; Jumping Knockdown
[State -1]
type = ChangeState
value = 255
trigger1 = command = Knockdown
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Throw 1
[State -1]
type = null;ChangeState
value = 550
triggerall = stateno != 100
triggerall = statetype = S
triggerall = P2bodydist X <= 5
triggerall = ctrl = 1
trigger1 = p2movetype != H
trigger1 = command = slam_1
trigger1 = p2statetype = S
trigger2 = p2statetype = C
trigger2 = command = slam_1
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
; Throw 2
[State -1]
type = null;ChangeState
value = 560
triggerall = stateno != 100
triggerall = statetype = S
triggerall = P2bodydist X <= 5
triggerall = ctrl = 1
trigger1 = p2movetype != H
trigger1 = command = slam_2
trigger1 = p2statetype = S
trigger2 = p2statetype = C
trigger2 = command = slam_1
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
; Standing forward light punch
[State -1]
type = ChangeState
value = 205
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = command = forward_punch
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing far light punch
[State -1]
type = ChangeState
value = 200
triggerall = command != holddown
trigger1 = P2bodydist X >= 11
trigger1 = statetype = S
trigger1 = command = Light_punch
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing near light punch
[State -1]
type = ChangeState
value = 202
triggerall = command != holddown
trigger1 = P2bodydist X < 12
trigger1 = statetype = S
trigger1 = command = Light_punch
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Crouching light punch
[State -1]
type = ChangeState
value = 203
trigger1 = statetype = C
trigger1 = command = Light_punch
trigger1 = command = holddown
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Jumping light punch
[State -1]
type = ChangeState
value = 600
trigger1 = command = Light_punch
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Light kick(near)
[State -1]
type = ChangeState
value = 210
triggerall = statetype = S
triggerall = command != holddown
trigger1 = P2bodydist X < 12
trigger1 = ctrl = 1
trigger1 = command = Light_kick

;---------------------------------------------------------------------------
; Light kick
[State -1]
type = ChangeState
value = 211
triggerall = statetype = S
triggerall = command != holddown
trigger1 = P2bodydist X >= 11
trigger1 = ctrl = 1
trigger1 = command = Light_kick

;---------------------------------------------------------------------------
; Crouching light kick
[State -1]
type = ChangeState
value = 213
trigger1 = ctrl = 1
triggerall = statetype = C
trigger1 = command = Light_kick
trigger1 = command = holddown

;---------------------------------------------------------------------------
; Jumping light kick
[State -1]
type = ChangeState
value = 601
trigger1 = command = Light_kick
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing near strong punch
[State -1]
type = ChangeState
value = 220
triggerall = command = Strong_punch
triggerall = command != holddown
trigger1 = P2bodydist X < 31
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing far strong punch
[State -1]
type = ChangeState
value = 225
triggerall = command != holddown
triggerall = command = Strong_punch
trigger1 = P2bodydist X >= 30
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Crouching up strong punch
[State -1]
type = ChangeState
value = 222
trigger1 = command = downforward_punch
trigger1 = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Crouching strong punch
[State -1]
type = ChangeState
value = 221
trigger1 = command = Strong_punch
trigger1 = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Jumping strong punch
[State -1]
type = ChangeState
value = 603
trigger1 = command = Strong_punch
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing near strong kick
[State -1]
type = ChangeState
value = 232
triggerall = command = Strong_kick
trigger1 = command != holddown
trigger1 = P2bodydist X < 35
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Standing far strong kick
[State -1]
type = ChangeState
value = 230
triggerall = command = Strong_kick
trigger1 = command != holddown
trigger1 = P2bodydist X >= 34
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Crouching strong kick
[State -1]
type = ChangeState
value = 233
triggerall = command = Strong_kick
trigger1 = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Jumping strong kick
[State -1]
type = ChangeState
value = 605
trigger1 = command = Strong_kick
trigger1 = statetype = A
trigger1 = ctrl = 1

;Canceling Moves
;===============
; Cancel to mega earthquake
[State -1]
type = ChangeState
value = 3020
triggerall = movecontact = 1
triggerall = command = dm2
triggerall = power >= 2000
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to earthquake
[State -1]
type = ChangeState
value = 3000
triggerall = movecontact = 1
triggerall = command = dm1
triggerall = power >= 1000
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to hyper earth throw
[State -1]
type = ChangeState
value = 3200
triggerall = movecontact = 1
triggerall = command = dm4
triggerall = power >= 2000
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to super earth throw
[State -1]
type = ChangeState
value = 3100
triggerall = movecontact = 1
triggerall = command = dm3
triggerall = power >= 1000
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to hammer quake
[State -1]
type = ChangeState
value = 1000
triggerall = movecontact = 1
triggerall = command = quake
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to leg tackle grab
[State -1]
type = ChangeState
value = 1200
triggerall = movecontact = 1
triggerall = command = grab3
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to lowergrab
[State -1]
type = ChangeState
value = 1150
triggerall = movecontact = 1
triggerall = command = grab2
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222
trigger14 = AnimElem = 4, >= 1
trigger14 = AnimElem = 6, <= 6
trigger14 = stateno = 250
trigger15 = AnimElem = 4, >= 1
trigger15 = AnimElem = 6, <= 6
trigger15 = stateno = 251
trigger16 = AnimElem = 2, >= 1
trigger16 = AnimElem = 3, <= 12
trigger16 = stateno = 233

;---------------------------------------------------------------------------
; Cancel to uppergrab
[State -1]
type = ChangeState
value = 1100
triggerall = movecontact = 1
triggerall = command = grab1
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222
trigger14 = AnimElem = 4, >= 1
trigger14 = AnimElem = 6, <= 6
trigger14 = stateno = 250
trigger15 = AnimElem = 4, >= 1
trigger15 = AnimElem = 6, <= 6
trigger15 = stateno = 251
trigger16 = AnimElem = 2, >= 1
trigger16 = AnimElem = 3, <= 12
trigger16 = stateno = 233

;---------------------------------------------------------------------------
; Cancel to body roll-heavy
[State -1]
type = ChangeState
value = 1055
triggerall = movecontact = 1
triggerall = command = bodyroll_2
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222
trigger14 = AnimElem = 4, >= 1
trigger14 = AnimElem = 6, <= 6
trigger14 = stateno = 250
trigger15 = AnimElem = 4, >= 1
trigger15 = AnimElem = 6, <= 6
trigger15 = stateno = 251
trigger16 = AnimElem = 2, >= 1
trigger16 = AnimElem = 3, <= 12
trigger16 = stateno = 233

;---------------------------------------------------------------------------
; Cancel to body roll
[State -1]
type = ChangeState
value = 1050
triggerall = movecontact = 1
triggerall = command = bodyroll
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222
trigger14 = AnimElem = 4, >= 1
trigger14 = AnimElem = 6, <= 6
trigger14 = stateno = 250
trigger15 = AnimElem = 4, >= 1
trigger15 = AnimElem = 6, <= 6
trigger15 = stateno = 251
trigger16 = AnimElem = 2, >= 1
trigger16 = AnimElem = 3, <= 12
trigger16 = stateno = 233

;---------------------------------------------------------------------------
; Cancel to double throw
[State -1]
type = ChangeState
value = 1300
triggerall = movecontact = 1
triggerall = command = grab4
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206
trigger13 = AnimElem = 3, >= 1
trigger13 = AnimElem = 6, <= 6
trigger13 = stateno = 222

;---------------------------------------------------------------------------
; Cancel to forward punch(link)
[State -1]
type = ChangeState
value = 206
triggerall = movecontact = 1
triggerall = command = forward_punch
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 3, >= 1
trigger12 = AnimElem = 6, <= 6
trigger12 = stateno = 222

;---------------------------------------------------------------------------
; Crouching up strong punch
[State -1]
type = ChangeState
value = 222
triggerall = movecontact = 1
triggerall = command = downforward_punch
triggerall = command = holddown
trigger1 = AnimElem = 2, >= 1
trigger1 = AnimElem = 3, <= 4
trigger1 = stateno = 202
trigger2 = AnimElem = 2, >= 1
trigger2 = AnimElem = 3, <= 5
trigger2 = stateno = 200
trigger3 = AnimElem = 3, >= 1
trigger3 = AnimElem = 5, <= 4
trigger3 = stateno = 210
trigger4 = AnimElem = 2, >= 1
trigger4 = AnimElem = 4, <= 4
trigger4 = stateno = 211
trigger5 = AnimElem = 4, >= 1
trigger5 = AnimElem = 5, <= 6
trigger5 = stateno = 220
trigger6 = AnimElem = 3, >= 1
trigger6 = AnimElem = 6, <= 6
trigger6 = stateno = 225
trigger7 = AnimElem = 2, >= 1
trigger7 = AnimElem = 4, <= 8
trigger7 = stateno = 232
trigger8 = AnimElem = 3, >= 1
trigger8 = AnimElem = 6, <= 7
trigger8 = stateno = 230
trigger9 = AnimElem = 2, >= 1
trigger9 = AnimElem = 3, <= 4
trigger9 = stateno = 203
trigger10 = AnimElem = 2, >= 1
trigger10 = AnimElem = 3, <= 6
trigger10 = stateno = 213
trigger11 = AnimElem = 2, >= 1
trigger11 = AnimElem = 4, <= 9
trigger11 = stateno = 221
trigger12 = AnimElem = 4, >= 1
trigger12 = AnimElem = 8, <= 5
trigger12 = stateno = 206