;-| Super Motions |--------------------------------------------------------

;-| Special Motions |------------------------------------------------------

[Command]
name = qcf_x
command = ~D, DF, F, x
time = 15

[Command]
name = qcf_y
command = ~D, DF, F, y
time = 15

[Command]
name = qcf_a
command = ~D, DF, F, a
time = 15

[Command]
name = qcf_b
command = ~D, DF, F, b
time = 15

[Command]
name = qcb_a
command = ~D, DB, B, a
time = 15

[Command]
name = qcb_b
command = ~D, DB, B, b
time = 15

[Command]
name = dp_x
command = ~F, D, DF, x
time = 15

[Command]
name = dp_y
command = ~F, D, DF, y
time = 15

;-| Double Tap |-----------------------------------------------------------

[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------

[Command]
name = recovery
command = x+y
time = 1

[Command]
name = dodge
command = x+y
time = 1

[Command]
name = knockdown
command = a+b
time = 1

[Command]
name = abc
command = a+b+c
time = 1

;-| Dir + Button |---------------------------------------------------------

[Command]
name = fwd_x
command = /F,x

[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F, b
time = 1

;-| Single Button |---------------------------------------------------------

[Command]
name = a
command = a
time = 1

[Command]
name = hold_a
command = /$a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = hold_b
command = /$b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = hold_x
command = /$x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = hold_y
command = /$y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------

[Command]
name = holdfwd_x
command = /$F, x
time = 1

[Command]
name = holdfwd_y
command = /$F, y
time = 1

[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1

;-|Commands|------------------------------------------------------------------------------

[Statedef -1]

; Light Crow bite
[State -1]
type = ChangeState
value = 1200
triggerall = command = dp_x
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Hard Crow bite
[State -1]
type = ChangeState
value = 1230
triggerall = command = dp_y
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Hard Crow bite follow-up
[State -1]
type = VarSet
v = 1
value = 1
trigger1 = command = fwd_b
trigger1 = stateno = 1240

; Light Eine trigger
[State -1]
type = ChangeState
value = 1000
triggerall = command = qcf_x
trigger1 = numprojID1060 = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1
trigger10 = stateno = 215
trigger10 = movehit = 1
trigger10 = P2bodydist X >= 45

; Hard Eine trigger
[State -1]
type = ChangeState
value = 1020
triggerall = command = qcf_y
trigger1 = numprojID1060 = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1
trigger10 = stateno = 215
trigger10 = movehit = 1
trigger10 = P2bodydist X >= 45

; Light/hard Second shoot
[State -1]
type = VarSet
v = 1
value = 1
triggerall = command = fwd_a
trigger1 = stateno = 1000
trigger2 = stateno = 1020

; Second shell
[State -1]
type = VarSet
v = 1
value = 2
triggerall = command = fwd_b
trigger1 = stateno = 1000
trigger2 = stateno = 1020

; Light Blackout
[State -1]
type = ChangeState
value = 1100
triggerall = command = qcf_a
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Hard Blackout
[State -1]
type = ChangeState
value = 1120
triggerall = command = qcf_b
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Light arial Minute spike
[State -1]
type = ChangeState
value = 1330
triggerall = command = qcb_a
trigger1 = statetype = A
trigger1 = ctrl = 1

; Light Minute spike
[State -1]
type = ChangeState
value = 1300
triggerall = command = qcb_a
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Hard arial Minute spike
[State -1]
type = ChangeState
value = 1340
triggerall = command = qcb_b
trigger1 = statetype = A
trigger1 = ctrl = 1

; Hard Minute spike
[State -1]
type = ChangeState
value = 1315
triggerall = command = qcb_b
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Standing knockdown attack
[State -1]
type = ChangeState
value = 280
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = knockdown
trigger2 = command = c

; Standing forward light punch
[State -1]
type = ChangeState
value = 215
triggerall = command = fwd_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Standing light punch (close)
[State -1]
type = ChangeState
value = 210
trigger1 = command = x
trigger1 = p2bodydist x <= 20
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing light punch
[State -1]
type = ChangeState
value = 200
trigger1 = command = x
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing forward light kick
[State -1]
type = ChangeState
value = 235
triggerall = command = fwd_a
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movehit = 1
trigger3 = stateno = 210
trigger3 = movehit = 1
trigger4 = stateno = 230
trigger4 = movehit = 1
trigger5 = stateno = 250
trigger5 = movehit = 1
trigger6 = stateno = 270
trigger6 = movehit = 1
trigger7 = stateno = 400
trigger7 = movehit = 1
trigger8 = stateno = 430
trigger8 = movehit = 1
trigger9 = stateno = 440
trigger9 = movehit = 1

; Standing light kick (close)
[State -1]
type = ChangeState
value = 230
trigger1 = command = a
trigger1 = p2bodydist x <= 20
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing light kick
[State -1]
type = ChangeState
value = 220
trigger1 = command = a
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing hard punch (close)
[State -1]
type = ChangeState
value = 250
trigger1 = command = y
trigger1 = p2bodydist x <= 20
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing hard punch
[State -1]
type = ChangeState
value = 240
trigger1 = command = y
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing hard kick (close)
[State -1]
type = ChangeState
value = 270
trigger1 = command = b
trigger1 = p2bodydist x <= 20
trigger1 = statetype = S
trigger1 = ctrl = 1

; Standing hard kick
[State -1]
type = ChangeState
value = 260
trigger1 = command = b
trigger1 = statetype = S
trigger1 = ctrl = 1

; Crouching light punch
[State -1]
type = ChangeState
value = 400
trigger1 = command = x
trigger1 = statetype = C
trigger1 = ctrl = 1

; Crouching light kick
[State -1]
type = ChangeState
value = 420
trigger1 = command = a
trigger1 = statetype = C
trigger1 = ctrl = 1

; Crouching hard punch
[State -1]
type = ChangeState
value = 440
trigger1 = command = y
trigger1 = statetype = C
trigger1 = ctrl = 1

; Crouching hard kick
[State -1]
type = ChangeState
value = 460
trigger1 = command = b
trigger1 = statetype = C
trigger1 = ctrl = 1

; Jumping knockdown attack
[State -1]
type = ChangeState
value = 680
triggerall = statetype = A
triggerall = ctrl = 1
trigger1 = command = knockdown
trigger2 = command = c

; Jumping light punch
[State -1]
type = ChangeState
value = 600
trigger1 = command = x
trigger1 = statetype = A
trigger1 = ctrl = 1

; Jumping light kick
[State -1]
type = ChangeState
value = 620
trigger1 = command = a
trigger1 = statetype = A
trigger1 = Vel X = 0
trigger1 = ctrl = 1

; Jumping forward light kick
[State -1]
type = ChangeState
value = 630
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1

; Jumping hard punch
[State -1]
type = ChangeState
value = 640
trigger1 = command = y
trigger1 = statetype = A
trigger1 = ctrl = 1

; Jumping hard kick
[State -1]
type = ChangeState
value = 660
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1

; Taunt
[State -1]
type = ChangeState
value = 195
trigger1 = command = s
trigger1 = statetype = S
trigger1 = stateno != 195
trigger1 = ctrl = 1

; Run Forward
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = command != holddown
trigger1 = ctrl = 1

; Run Backwards
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = command != holddown
trigger1 = ctrl = 1