;-| Super Motions |--------------------------------------------------------
[Command]
name = QCFQCF_a
command = ~D, DF, F, D, DF, F, a
time = 44

[Command]
name = QCFQCF_b
command = ~D, DF, F, D, DF, F, b
time = 44

[Command]
name = QCFQCF_c
command = ~D, DF, F, D, DF, F, c
time = 44

;-| Special Motions |------------------------------------------------------
[Command]
name = QCF_a
command = ~D, DF, F, a

[Command]
name = QCF_b
command = ~D, DF, F, b

[Command]
name = QCB_a
command = ~D, DB, B, a

[Command]
name = QCB_b
command = ~D, DB, B, b

[Command]
name = QCB_c
command = ~D, DB, B, c

[Command]
name = DP_a
command = ~F, D, DF, a

[Command]
name = DP_b
command = ~F, D, DF, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

[Command]
name = bc
command = b+c
time = 1

[Command]
name = ac
command = a+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = downfwd_a
command = /DF,a
time = 1

[Command]
name = downfwd_b
command = /DF,b
time = 1

[Command]
name = downfwd_c
command = /DF,c
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = hold_a
command = /$a
time = 1

[Command]
name = hold_b
command = /$b
time = 1

[Command]
name = hold_c
command = /$c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;Gatlin Punch
[State -1]
type = ChangeState
value = 3000
triggerall = command = QCFQCF_a
triggerall = power >= 1000 ;Level 1 super
triggerall = statetype != A
trigger1 = ctrl = 1

;===========================================================================
;Super1
[State -1]
type = ChangeState
value = 3100
triggerall = command = QCFQCF_b
triggerall = power >= 2000 ;Level 2 super
triggerall = statetype != A
trigger1 = ctrl = 1

;===========================================================================
;Super2
[State -1]
type = ChangeState
value = 3200
triggerall = command = QCFQCF_c
triggerall = power >= 3000 ;Level 3 super
triggerall = statetype != A
trigger1 = ctrl = 1

;===========================================================================
;DragonPunch_B
[State -1]
type = ChangeState
value = 1000
triggerall = command = DP_b
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;Flip Kick
[State -1]
type = ChangeState
value = 1100
triggerall = command = QCB_c
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;Flip Kick(2nd)
[State -1]
type = ChangeState
value = 1110
triggerall = command = QCB_c
trigger1 = stateno = 1102
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Flip Kick(Third)
[State -1]
type = ChangeState
value = 1120
triggerall = command = QCB_c
trigger1 = stateno = 1111
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Serpent Rush (A)
[State -1]
type = ChangeState
value = 1300
triggerall = command = QCB_a
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Serpent Rush (B)
[State -1]
type = ChangeState
value = 1310
triggerall = command = QCB_b
trigger1 = statetype = S
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;2nd Serpent Rush (B)
[State -1]
type = ChangeState
value = 1312
triggerall = command = QCB_b
trigger1 = stateno = 1311
trigger1 = time > 6

;---------------------------------------------------------------------------
;LightningKick
[State -1]
type = ChangeState
value = 1200
trigger1 = command = down_c
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Dodge
[State -1]
type = ChangeState
value = 1450
trigger1 = command = ab
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Fan Strike during dodge
[State -1]
type = ChangeState
value = 1452
trigger1 = command = a
trigger1 = stateno = 1450
trigger1 = time > 6

;---------------------------------------------------------------------------
;C during dodge
[State -1]
type = ChangeState
value = 1453
trigger1 = command = c
trigger1 = stateno = 1450
trigger1 = time > 6

;---------------------------------------------------------------------------
;Catch
[State -1]
type = ChangeState
value = 1400
trigger1 = command = bc
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;FanStrike
[State -1]
type = ChangeState
value = 230
trigger1 = command = ac
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;===========================================================================
;StandBack_A
[State -1]
type = ChangeState
value = 204
triggerall = command = back_a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 204
trigger2 = time > 10

;---------------------------------------------------------------------------
;Stand_A bis
[State -1]
type = ChangeState
value = 201
triggerall = command = a
triggerall = command != holddown
trigger1 = stateno = 200
trigger1 = time > 10

;---------------------------------------------------------------------------
;Stand_A ters
[State -1]
type = ChangeState
value = 203
triggerall = command = a
triggerall = command != holddown
trigger1 = stateno = 201
trigger1 = movecontact = 1
trigger2 = stateno = 210
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_fwd_B
[State -1]
type = ChangeState
value = 213
triggerall = command = fwd_b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 204
trigger4 = time > 10

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 204
trigger4 = time > 10

;---------------------------------------------------------------------------
;Stand_fwd_C
[State -1]
type = ChangeState
value = 212
triggerall = command = fwd_c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 213
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = time > 10

;---------------------------------------------------------------------------
;Stand_C
[State -1]
type = ChangeState
value = 211
triggerall = command = c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 213
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = time > 10

;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;MultipleKicks
[State -1]
type = ChangeState
value = 413
triggerall = command = downfwd_b
triggerall = command = holddown
trigger1 = stateno = 410 
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400 ;crouch_a
trigger2 = movecontact = 1
trigger3 = stateno = 200 
trigger3 = movecontact = 1
trigger4 = stateno = 201 
trigger4 = movecontact = 1
trigger5 = stateno = 210 
trigger5 = movecontact = 1
trigger6 = stateno = 1450
trigger6 = time > 6

;---------------------------------------------------------------------------
;Crouch_C (after crouch b)
[State -1]
type = ChangeState
value = 411
triggerall = command = c
triggerall = command = holddown
trigger1 = stateno = 410 
trigger1 = time > 10

;---------------------------------------------------------------------------
;Crouch_C (after crouch c after crouch b)
[State -1]
type = ChangeState
value = 412
triggerall = command = c
triggerall = command = holddown
trigger1 = stateno = 411 
trigger1 = time > 10

;---------------------------------------------------------------------------
;Crouch_Forward_C 
[State -1]
type = ChangeState
value = 430
triggerall = command = downfwd_c
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_C 
[State -1]
type = ChangeState
value = 420
triggerall = command = c
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 420 
trigger2 = time > 6

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = a   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = time > 7

;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Jump_C
[State -1]
type = ChangeState
value = 620
trigger1 = command = c
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = c   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = command = c   ;-------
trigger3 = stateno = 610 ;jump_b
trigger3 = movecontact = 1

