;-| Super Motions |--------------------------------------------------------
[Command]
name = shin_b
command = ~D, DF, F, a+b;c

[Command]
name = shinupper
command = ~F, D, DF, a+b
;time = 20

[Command]
name = shinfireball
command = ~D, DB, B, a+b

;-| Special Motions |------------------------------------------------------
[Command]
name = uppercut_a
command = ~F, D, DF, a

[Command]
name = uppercut_b
command = ~F, D, DF, b

[Command]
name = HCB_a
command = ~F, DF, D, DB, B, a

[Command]
name = HCB_b
command = ~F, DF, D, DB, B, b

[Command]
name = tatsumaki_a
command = ~D, DB, B, a

[Command]
name = tatsumaki_b
command = ~D, DB, B, b

[Command]
name = tatsumaki_c
command = ~D, DB, B, c

[Command]
name = HCF_a
command = ~B, DB, D, DF, F, a

[Command]
name = HCF_b
command = ~B, DB, D, DF, F, b

[Command]
name = fireball_a
command = ~D, DF, F, a

[Command]
name = fireball_b
command = ~D, DF, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF
command = F, F
time = 10

[Command]
name = BB
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = downfwd_a
command = /DF,a
time = 1

[Command]
name = downfwd_b
command = /DF,b
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd
command = /$F
time = 1

[Command]
name = holdback
command = /$B
time = 1

[Command]
name = holdup
command = /$U
time = 1

[Command]
name = holddown
command = /$D
time = 1

;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;---------------------------------------------------------------------------
;Shinupper
[State -1]
type = ChangeState
value = 1600
triggerall = command = shinupper
triggerall = power >= 1000 ;Level 1 super
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger1 = command != shin_b
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA
;trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Shin_b
[State -1]
type = ChangeState
value = 1500
triggerall = command = shin_b
triggerall = power >= 1000 ;Level 1 super
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA
;trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Shinfireball
[State -1]
type = ChangeState
value = 1700
triggerall = command = shinfireball
triggerall = power >= 1000 ;Level 1 super
triggerall = stateno != 1700
triggerall = numprojid1700 = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA
;trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Reversal (super reversal)
[State -1]
type = ChangeState
value = 1200
triggerall = command = tatsumaki_c
triggerall = power >= 2000 ;Level 1 super
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = stateno >= 200
trigger2 = stateno <= 590
trigger2 = movecontact = 1
trigger2 = animtime >= -8
trigger3 = stateno >= 150 ;Cancel guard
trigger3 = stateno <= 153

;---------------------------------------------------------------------------
;Uppercut_A
[State -1]
type = ChangeState
value = 1020
trigger1 = command = uppercut_a ;-------
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = command = uppercut_a ;-------
trigger2 = stateno = 200        ;stand_a
trigger3 = command = uppercut_a ;-------
trigger3 = stateno = 300        ;stand_fwd_a
trigger3 = time <= 2
trigger4 = command = uppercut_a ;-------
trigger4 = stateno = 210        ;stand_b
trigger4 = movecontact = 1
trigger5 = command = uppercut_a ;-------
trigger5 = stateno = 1052        ;flykick_b3
trigger5 = movecontact = 1

;---------------------------------------------------------------------------
;Uppercut_B
[State -1]
type = ChangeState
value = 1030
trigger1 = command = uppercut_b ;-------
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = command = uppercut_b ;-------
trigger2 = stateno = 200        ;stand_a
trigger2 = time >= 3
trigger3 = command = uppercut_b ;-------
trigger3 = stateno = 400        ;crouch_a
trigger3 = time >= 3
trigger4 = command = uppercut_b ;-------
trigger4 = stateno = 210        ;stand_b
trigger5 = movecontact = 1
trigger5 = command = uppercut_b ;-------
trigger5 = stateno = 410        ;crouch_b
trigger5 = movecontact = 1
trigger6 = command = uppercut_b ;-------
trigger6 = stateno = 500        ;crouch_fwd_a
trigger6 = movecontact = 1
trigger7 = command = uppercut_b ;-------
trigger7 = stateno = 1052        ;flykick_b3
trigger7 = movecontact = 1
trigger8 = command = down_c     ;--shortcut--
trigger8 = statetype != A
trigger8 = ctrl = 1

;---------------------------------------------------------------------------
;AirFireball_A
[State -1]
type = null;ChangeState
value = 1005
trigger1 = command = fireball_a ;-------
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = fireball_a ;-------
trigger2 = stateno = 600        ;jump_a
trigger3 = command = fireball_a ;-------
trigger3 = stateno = 610        ;jump_b
trigger3 = movecontact = 1
trigger4 = command = fireball_a ;-------
trigger4 = stateno = 800        ;jump_fwd_a
trigger4 = movecontact = 1
;trigger5 = command = fireball_a ;-------
;trigger5 = stateno = 1031        ;uppercut_b2
;trigger5 = movecontact = 1
;trigger6 = command = fireball_a ;-------
;trigger6 = stateno = 1051        ;flykick_b2
;trigger6 = movecontact = 1
;trigger7 = command = fireball_a ;-------
;trigger7 = stateno = 1070        ;airflykick_b
;trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Fireball_A
[State -1]
type = ChangeState
value = 1000
triggerall = command = fireball_a ;-------
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 300        ;Stand_fwd_a
trigger3 = movecontact = 1
trigger4 = stateno = 500        ;Crouch_fwd_a
trigger4 = time <= 2
trigger5 = stateno = 410        ;Crouch_b
trigger5 = movecontact = 1
trigger6 = stateno = 210        ;stand_b
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Fireball_B
[State -1]
type = ChangeState
value = 1010
triggerall = numproj = 0
trigger1 = command = fireball_b ;-------
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = fireball_b ;-------
trigger2 = stateno = 210        ;stand_b 
trigger2 = movecontact = 1
trigger3 = command = fireball_b ;-------
trigger3 = stateno = 400        ;crouch_a
trigger3 = time <= 5
trigger4 = command = fireball_b ;-------
trigger4 = stateno = 500        ;crouch_fwd_a
trigger4 = movecontact = 1
trigger5 = command = fireball_b ;-------
trigger5 = stateno = 410        ;crouch_b
trigger5 = movecontact = 1
trigger6 = command = fwd_c      ;--shortcut--
trigger6 = statetype = S
trigger6 = ctrl = 1

;---------------------------------------------------------------------------
;Flykick_A
[State -1]
type = ChangeState
value = 1040
trigger1 = command = tatsumaki_a
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = tatsumaki_a
trigger2 = statetype = C
trigger2 = ctrl = 1
trigger3 = command = tatsumaki_a;-------
trigger3 = stateno = 200        ;Stand_a
trigger3 = time >= 3
trigger4 = command = tatsumaki_a;-------
trigger4 = stateno = 400        ;Crouch_a
trigger4 = time >= 3
trigger5 = command = tatsumaki_a;-------
trigger5 = stateno = 410        ;Crouch_b
trigger5 = movecontact = 1
trigger6 = command = tatsumaki_a;-------
trigger6 = stateno = 210        ;Stand_b
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Flykick_B
[State -1]
type = ChangeState
value = 1050
trigger1 = command = tatsumaki_b ;-------
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = tatsumaki_b ;-------
trigger2 = statetype = C
trigger2 = ctrl = 1
trigger3 = command = tatsumaki_b;-------
trigger3 = stateno = 200        ;Stand_a
trigger3 = time >= 3
trigger4 = command = tatsumaki_b;-------
trigger4 = stateno = 400        ;Crouch_a
trigger4 = time >= 3
trigger5 = command = tatsumaki_b;-------
trigger5 = stateno = 410        ;Crouch_b
trigger5 = movecontact = 1
trigger6 = command = tatsumaki_b;-------
trigger6 = stateno = 210        ;Stand_b
trigger6 = movecontact = 1
trigger7 = command = back_c     ;--shortcut--
trigger7 = statetype = S
trigger7 = ctrl = 1

;---------------------------------------------------------------------------
;Airflykick_A
[State -1]
type = ChangeState
value = 1060
trigger1 = command = tatsumaki_a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = tatsumaki_a;-------
trigger2 = stateno = 600        ;jump_a
trigger2 = time >= 3
trigger3 = command = tatsumaki_a;-------
trigger3 = stateno = 610        ;jump_b
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Airflykick_B
[State -1]
type = ChangeState
value = 1070
trigger1 = command = tatsumaki_b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = tatsumaki_b;-------
trigger2 = stateno = 600        ;jump_a
trigger2 = time >= 3
trigger3 = command = tatsumaki_b;-------
trigger3 = stateno = 610        ;jump_b
trigger3 = movecontact = 1
trigger4 = command = back_c     ;--shortcut--
trigger4 = statetype = A
trigger4 = ctrl = 1

;---------------------------------------------------------------------------
;Airflykick_BC (chain-type)
[State -1]
type = ChangeState
value = 1075
trigger1 = command = tatsumaki_a ;-------
trigger1 = stateno = 1041        ;flykick_a2
trigger1 = movecontact = 1
trigger1 = animelem = 9, >= 0

;---------------------------------------------------------------------------
;Airflykick_BC2 (chain-type)
[State -1]
type = ChangeState
value = 1076
trigger1 = command = tatsumaki_b ;-------
trigger1 = stateno = 1051        ;flykick_b2
trigger1 = movecontact = 1
trigger1 = animelem = 9, >= 0
trigger1 = animelem = 13, < 0

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = fwd_ab  ;Command
trigger2 = command = back_ab ;Command
trigger3 = command = fwd_b   ;Near, p2 stand
trigger3 = stateno != 100    ;Not running
trigger3 = p2bodydist X < 3
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = fwd_b   ;Near, p2 crouch
trigger4 = stateno != 100    ;Not running
trigger4 = p2bodydist X < 3
trigger4 = p2statetype = C
trigger4 = p2movetype != H
trigger5 = command = back_b  ;Near, p2 stand
trigger5 = p2bodydist X < 5
trigger5 = p2statetype = S
trigger5 = p2movetype != H
trigger6 = command = back_b  ;Near, p2 crouch
trigger6 = p2bodydist X < 5
trigger6 = p2statetype = C
trigger6 = p2movetype != H

;---------------------------------------------------------------------------
;Air_Throw1
[State -1]
type = ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
trigger1 = command = fwd_ab
trigger2 = command = back_ab
;---------------------------
;Air_Throw1 (second set of commands)
[State -1]
type = ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = fwd_b
trigger2 = command = back_b


;===========================================================================
;---------------------------------------------------------------------------
;Runf_A
[State -1]
type = ChangeState
value = 360
triggerall = command = fwd_a
triggerall = command != holddown
trigger1 = stateno = 100 ;RUNF
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Runf_B
[State -1]
type = ChangeState
value = 370
triggerall = command = fwd_b
triggerall = command != holddown
trigger1 = stateno = 100 ;RUNF
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_fwd_A
[State -1]
type = ChangeState
value = 300
triggerall = command = fwd_a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_fwd_B
[State -1]
type = ChangeState
value = 310
triggerall = command = fwd_b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_C
[State -1]
type = ChangeState
value = 220
triggerall = command != holddown
trigger1 = command = ab
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = c   ;--shortcut--
trigger2 = statetype = S
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_fwd_A
[State -1]
type = ChangeState
value = 500
triggerall = command = downfwd_a
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400   ;crouch_a
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400 ;crouch_a
trigger2 = movecontact = 1
trigger3 = stateno = 500 ;crouch_fwd_a
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Jump_fwd_A
[State -1]
type = ChangeState
value = 800
trigger1 = command = fwd_a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = fwd_a ;-------
trigger2 = stateno = 600   ;jump_a
trigger2 = time >= 3

;---------------------------------------------------------------------------
;Jump_fwd_B
[State -1]
type = ChangeState
value = 810
trigger1 = command = fwd_b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = fwd_b ;-------
trigger2 = stateno = 600   ;jump_a
trigger2 = time >= 3
trigger3 = command = fwd_b ;-------
trigger3 = stateno = 610   ;jump_b
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Jump_C
[State -1]
type = ChangeState
value = 620
trigger1 = command = ab
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = ab  ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = time >= 3
trigger3 = command = ab  ;-------
trigger3 = stateno = 610 ;jump_b
trigger3 = movecontact = 1
trigger4 = command = c   ;--shortcut--
trigger4 = statetype = A
trigger4 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = a   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = time >= 3

;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Jump (cancel from stand_b)
[State -1]
type = ChangeState
value = 40
ctrl = 1
trigger1 = command = holdup
trigger1 = stateno = 210 ;stand_b
trigger1 = movecontact = 1
trigger1 = animelem = 4, >= 3

;---------------------------------------------------------------------------
;Taunt
[State -1]
type = ChangeState
value = 195
triggerall = command = s
trigger1 = statetype = S
trigger1 = ctrl = 1

